package com.qmth.teachcloud.mark.service;

import com.qmth.teachcloud.mark.dto.mark.manage.TaskQuestion;
import com.qmth.teachcloud.mark.dto.mark.score.StudentObjectiveAnswerDto;
import com.qmth.teachcloud.mark.entity.MarkArchiveStudent;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 考生归档数据表 服务类
 * </p>
 *
 * @author xf
 * @since 2025-03-21
 */
public interface MarkArchiveStudentService extends IService<MarkArchiveStudent> {

    List<MarkArchiveStudent> listByStudentIds(List<Long> studentIds);

    List<TaskQuestion> listTaskQuestionByStudentIds(List<Long> studentIds);

    List<StudentObjectiveAnswerDto> listStudentObjectiveAnswerDtoByExamIdAndPaperNumber(Long examId, String paperNumber);
    List<TaskQuestion> listTaskQuestionByExamIdAndPaperNumber(Long examId, String paperNumber);
}
